Skip to content

GetEntitlementPlan

GET
/api/v1/provision/consumer/me/entitlements/{entitlementId}/plan
curl --request GET \
--url https://example.com/api/v1/provision/consumer/me/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/plan
entitlementId
required
string format: uuid

OK

object
entitlementId
string format: uuid
assignedPlanSetId
null | string format: uuid
assignedPlanName
null | string
planSetName
null | string
appliedPlan
One of:
null
availablePlans
Array<object>

A usage plan such as “basic”, “standard”, or “professional”.

object
id
string format: uuid
name
string
description
string
sortOrder
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
featureValues
Array<object>

Defines a feature value override for a specific plan tier. Value is stored as string to support bool, enum, string, and json field values.

object
featureCode
string
enforcementType
integer
value
null | string
usageTiers
Array<object>

Represents a tier of usage with associated credits and severity status.

object
startUsage

Gets or sets the start usage for the tier.

null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
startPercentage
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
endUsage

Gets or sets the end usage for the tier. Nullable.

null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
endPercentage
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
baseCredits

Gets or sets the flat fee credits for the tier.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?$/
creditsPerUnitOfConsumption

Gets or sets the credits per unit of consumption for the tier.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?$/
name

Gets or sets the name of the usage tier.

string
quotaUsageLevel

Gets or sets the overage severity status for the tier.

integer
quotaUsagePolicy

Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.

integer

Unauthorized

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Forbidden

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string